Relay public WebRTC offer

POST /api/v1/public/calls/calls/{callId}/offer

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Path parameters

callIdstringRequiredformat: "uuid"
Call ID

Request

This endpoint expects an object.
sdpstringRequired
WebRTC SDP offer string
iceServerslist of objects or nullOptional
ICE servers to forward to the bot for WebRTC connection
useSmartTurnbooleanOptional
Whether to use smart TURN server selection

Response

SDP answer
sdpstring
WebRTC SDP answer string
sdpTypestring

SDP type (always “answer”)

botIdstring or nullOptional
Bot ID that will handle this call

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error